ARP(8)

NAME
arp - Manipulation des ARP-Caches

SYNOPSIS
arp [-vn] [-H Typ] [-i Schnittstelle] -a [Rechnername]

arp [-v] [-i Schnittstelle] -d Rechnername [pub]

arp [-v] [-H Typ] [-i Schnittstelle] -s Rechnername hw_adr [temp]

arp [-v] [-H Typ] [-i Interface] -s Rechnername hw_adr [netmask Maske] pub

arp [-v] [-H Typ] [-i Schnittstelle] -Ds Rechnername Schnittstelle2 [netmask Maske] pub

arp [-vnD] [-H Typ] [-i Schnittstelle] -f [Dateiname]

BESCHREIBUNG
Arp kann den ARP-Cache des Kernels auf verschiedene Arten manipulieren. Die hauptsächliche Verwendung ist es, Adresszuordnungseinträge zu löschen und von Hand neue zu erzeugen. Zum Zweck der Fehlersuche ist es möglich, mit dem arp-Programm den Inhalt des ARP-Caches vollständig auszugeben.

ARP steht für Address Resolution Protocol, welches dazu verwendet wird, über die IPv4-Adresse die MAC-Adresse von Nachbarn im Netzwerk zu finden.

OPTIONEN

-v, --verbose
    Ausführlichere Ausgaben.

-n, --numeric
    Numerische Adressausgaben anstatt zu versuchen, den symbolischen Rechner-, Port- oder Benutzernamen zu ermitteln.

-H Typ, --hw-type Typ
    Beim Setzen oder Auslesen des ARP-Caches schränkt diese Option ein, auf welcher Klasse von Einträgen arp operieren soll. Der Standardwert dieses Arguments ist ether (d.h. Hardwarecode 0x01 für IEEE 802.3 10Mbps Ethernet). Andere mögliche Werte sind Netzwerkstechnologien so wie z.B. ARCnet (arcnet), PROnet (pronet), AX.25 (ax25) und NET/ROM (netrom).

-a [Rechnername], --display [Rechnername]
    Zeigt die Einträge der angegebenen Rechner an. Wird kein hostname-Argument verwendet, so werden alle Einträge aufgelistet.

-d Rechnername, --delete Rechnername
    Alle Einträge für den angegebenen Host entfernen. Dies kann z.B. benutzt werden, wenn ein System angehalten wird.

-D, --use-device
    Die Hardwareadresse der Netzwerksschnittstelle Schnittstelle2 verwenden.

-i Schnittstelle, --device Schnittstelle
    Eine Netzwerksschnittstelle auswählen. Es werden nur Einträge für die angegebene Schnittstelle ausgegeben. Beim Setzen von permanenten oder temporären Einträgen wird diese Schnittstelle mit dem Eintrag assoziiert. Wird diese Option nicht verwendet, so versucht der Kernel, auf Basis der Routentabelle eine Schnittstelle auszuwählen. Für pub-Einträge ist die angegebene Schnittstelle diejenige, auf der ARP-Anfragen beantwortet werden.
    ANMERKUNG: Diese Schnittstelle muß eine andere sein als die, auf welche die IP-Datagramme weitergeleitet werden.

-s Rechnername hw_addr, --set Rechnername hw_addr
    Erzeugt manuell einen ARP-Adresseintrag für den Rechner Rechnername, in dem die Hardwareadresse auf hw_addr gesetzt ist. Das genaue Format der Hardwareadresse ist abhängig von der Hardwareklasse, aber für die meisten Klassen kann man davon ausgehen, daß die übliche Darstellung verwendet wird. Für die Ethernetklasse sind dies sechs hexadezimale, durch Doppelpunkte getrennte Bytes. Beim Zufügen von Proxy-ARP-Enträgen (das sind die mit dem gesetzten published-Flag) kann die Maske für ARP-Einträge für ganze Subnetze angegeben werde. Von dieser Praxis wird abgeraten. Sie wird von älteren Kerneln unterstützt, da sie gelegentlich nützlich ist. Der Eintrag wird permanent im ARP-Cache gespeichert, wenn das temp-Flag nicht angegeben wird.
    ANMERKUNG: Ab der Kernelversion 2.2.0 ist es nicht mehr möglich, ARP-Einträge für ganze Teilnetze zu erzeugen. Stattdessen wird automatisches Proxy ARP durchgeführt, d.h. wenn eine Route existiert und Forwarding eingeschaltet ist, wird automatisch ein temporärer Proxyarpeintrag erzeugt. Siehe auch arp(7) für mehr Details.

-f [Dateiname], --file [Dateiname]
    Ähnlich der -s Option, außer, daß diesmal die Adressinformation aus der Datei Dateiname verwendet wird. Dies kann verwendet werden, wenn ARP-Einträge für etliche Rechner erzeugt werden müssen. Der Name dieser Datei ist oft /etc/ethers, aber dies ist nicht offizieil standardisiert. Wenn kein Dateinamen angeben ist wird /etc/ethers benutzt.

    Das Format der Datei ist einfach; es enthält nur ASCII-Textzeilen, die aus einem Rechnernamen und einer Hardwareadresse getrennt von einem Zwischenraum bestehen. Zusätzlich können die Flaggen pub, temp and netmask angegeben werden.

Überall, wo Rechnername erwartet wird, kann auch eine IP-Adresse in Form eines durch Punkte getrennten Dezimalquadrupels angegeben werden.

Aus Kompatiblitätsgründen können Rechnername und die Hardwareadresse auch vertauscht werden.

Jeder vollständige Eintrag wird im ARP-Cache mit dem C-Flag markiert. Permanente Einträge werden mit M und zu publizierende Einträge mit P markiert.

BEISPIELE
/usr/sbin/arp -i eth0 -Ds 10.0.0.2 eth1 pub

Beantwortet ARP-Anfragen für 10.0.0.2 die auf der Schnittstelle eth0 empfangen werden mit der MAC-Adresse für eth1.

/usr/sbin/arp -i eth1 -d 10.0.0.1

Entfernt den ARP-Eintrag für 10.0.0.1 auf der Schnittstelle eth1. Dies betrifft sowohl publizierte Proxy-ARP-Einträge als auch auf permanente ARP-Einträge.

DATEIEN
/proc/net/arp,
/etc/networks
/etc/hosts
/etc/ethers

SIEHE AUCH
ethers(5), rarp(8), route(8), ifconfig(8), netstat(8)

AUTOREN
Fred N. van Kempen, <waltje@uwalt.nl.mugnet.org>, Bernd Eckenfels <net-tools@lina.inka.de>.

Übersetzung
Ralf Bächle <ralf@linux-mips.org>, Simon A. Eugster <simon.eu@gmail.com>